Debian Debian-France Debian-Facile Debian-fr.org Debian-fr.xyz Debian ? Communautés

Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 08-02-2021 18:51:55

pat23
Membre
Inscription : 08-02-2021

AppImage : fichier binaire impossible à lancer...

Bonsoir à tous,
A peine arrivé, et déjà un problème.

Je suis sur un HP pavilion zv5000.

Je rencontre une difficulté pour ouvrir mon AppImage.

avitus01@avitus0001:~$ . /home/avitus01/AppImage/NanoVNA_QT_GUI-i386.AppImage


bash: .: /home/avitus01/AppImage/NanoVNA_QT_GUI-i386.AppImage : fichier binaire impossible à lancer



J' ai cherché et regardé à droite, à gauche, mais je ne trouve pas de réponse.

J'ai procédé à ces commandes si cela peu aider....

avitus01@avitus0001:~$ $SHELL -version



GNU bash, version 4.3.30(1)-release (i586-pc-linux-gnu)
Copyright (C) 2013 Free Software Foundation, Inc.
Licence GPLv3+ : GNU GPL version 3 ou ultérieure <http://gnu.org/licenses/gpl.html>
This is free software; you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
 



uname -a


Linux avitus0001 3.16.0-11-686-pae #1 SMP Debian 3.16.84-1 (2020-06-09) i686 GNU/Linux
 



avitus01@avitus0001:~$ ls -l /home/avitus01/AppImage/NanoVNA_QT_GUI-i386.AppImage


-rwxrw-rw- 1 avitus01 avitus01 24977392 févr.  8 15:31 /home/avitus01/AppImage/NanoVNA_QT_GUI-i386.AppImage



avitus01@avitus0001:~$ file /home/avitus01/AppImage/NanoVNA_QT_GUI-i386.AppImage



/home/avitus01/AppImage/NanoVNA_QT_GUI-i386.AppImage: ELF 32-bit LSB shared object, Intel 80386, version 1, dynamically linked, interpreter /lib/ld-linux.so.2, for GNU/Linux 2.6.32, BuildID[sha1]=bb915372640bd45f4d1c350bbb9b48be5111f286, stripped



Je vous remercie par avance pour votre aide.

Hors ligne

#2 08-02-2021 19:20:17

jpt
Membre
Distrib. : Debian 10.8
Noyau : Linux 5.7.10 (backports)
(G)UI : LXDE
Inscription : 12-09-2020

Re : AppImage : fichier binaire impossible à lancer...

Bonsoir,

pat23 a écrit :

avitus01@avitus0001:~$ . /home/avitus01/AppImage/NanoVNA_QT_GUI-i386.AppImage

C'est moi ou il y a une espace qui n'a rien à faire là entre le point et le slash ?
Normalement c'est

$ ./chemin/binaire

Dernière modification par jpt (08-02-2021 19:21:15)


AMD Ryzen3 3200G sur Gigabyte B450M & Make Love Not War

Hors ligne

#3 09-02-2021 09:17:44

Croutons
Membre
Distrib. : Debian10 Buster
Noyau : Linux 4.19.0-12-amd64
(G)UI : Mate
Inscription : 16-12-2016

Re : AppImage : fichier binaire impossible à lancer...

Salut

jpt a écrit :

C'est moi ou il y a une espace qui n'a rien à faire là entre le point et le slash ?
Normalement c'est



oui effectivement l'espace après le point renvoi cette erreur
mais sans espace entre les 2 il y aura quand meme un message d'erreur

./home/avitus01/AppImage/NanoVNA_QT_GUI-i386.AppImage


bash: ./home/avitus01/AppImage/NanoVNA_QT_GUI-i386.AppImage : Aucun fichier ou dossier de ce type



on utilise le point pour désigné le répertoire courant
donc soit tu fais

cd /home/avitus01/AppImage/


./NanoVNA_QT_GUI-i386.AppImage



soit en indiquant le chemin complet sans point

/home/avitus01/AppImage/NanoVNA_QT_GUI-i386.AppImage


-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#4 09-02-2021 14:09:56

pat23
Membre
Inscription : 08-02-2021

Re : AppImage : fichier binaire impossible à lancer...

Bonjour à vous,

Je vous remercie pour votre coup de main et pour ces précisions.

Le fais d'indiquer le chemin complet sans point me donne un nouveau résultat.

root@avitus0001:/home/avitus01# /home/avitus01/AppImage/NanoVNA_QT_GUI-i386.AppImage


/home/avitus01/AppImage/NanoVNA_QT_GUI-i386.AppImage: /usr/lib/i386-linux-gnu/libstdc++.so.6: version `GLIBCXX_3.4.21' not found (required by /home/avitus01/AppImage/NanoVNA_QT_GUI-i386.AppImage)
/home/avitus01/AppImage/NanoVNA_QT_GUI-i386.AppImage: /usr/lib/i386-linux-gnu/libstdc++.so.6: version `GLIBCXX_3.4.21' not found (required by /tmp/.mount_NanoVNz5S4HV/lib/libxavna.so.0)
/home/avitus01/AppImage/NanoVNA_QT_GUI-i386.AppImage: /usr/lib/i386-linux-gnu/libstdc++.so.6: version `GLIBCXX_3.4.21' not found (required by /tmp/.mount_NanoVNz5S4HV/lib/libxavna_mock_ui.so.1)
/home/avitus01/AppImage/NanoVNA_QT_GUI-i386.AppImage: /usr/lib/i386-linux-gnu/libstdc++.so.6: version `CXXABI_1.3.9' not found (required by /tmp/.mount_NanoVNz5S4HV/lib/libQt5Charts.so.5)
/home/avitus01/AppImage/NanoVNA_QT_GUI-i386.AppImage: /usr/lib/i386-linux-gnu/libstdc++.so.6: version `CXXABI_1.3.9' not found (required by /tmp/.mount_NanoVNz5S4HV/lib/libQt5Svg.so.5)
/home/avitus01/AppImage/NanoVNA_QT_GUI-i386.AppImage: /usr/lib/i386-linux-gnu/libstdc++.so.6: version `CXXABI_1.3.9' not found (required by /tmp/.mount_NanoVNz5S4HV/lib/libQt5Widgets.so.5)
/home/avitus01/AppImage/NanoVNA_QT_GUI-i386.AppImage: /usr/lib/i386-linux-gnu/libstdc++.so.6: version `CXXABI_1.3.9' not found (required by /tmp/.mount_NanoVNz5S4HV/lib/libQt5Gui.so.5)
/home/avitus01/AppImage/NanoVNA_QT_GUI-i386.AppImage: /usr/lib/i386-linux-gnu/libstdc++.so.6: version `CXXABI_1.3.9' not found (required by /tmp/.mount_NanoVNz5S4HV/lib/libQt5Core.so.5)
 


Si je comprends bien il me manquerai des composantes?

Hors ligne

Pied de page des forums